# InternalCoreTrackUpdateTrackRequest


## Properties

Name | Type | Description | Notes
------------ | ------------- | ------------- | -------------
**album** | **string** |  | [optional] [default to undefined]
**artist** | **string** |  | [optional] [default to undefined]
**genre** | **string** |  | [optional] [default to undefined]
**is_public** | **boolean** |  | [optional] [default to undefined]
**title** | **string** |  | [optional] [default to undefined]
**year** | **number** |  | [optional] [default to undefined]

## Example

```typescript
import { InternalCoreTrackUpdateTrackRequest } from './api';

const instance: InternalCoreTrackUpdateTrackRequest = {
    album,
    artist,
    genre,
    is_public,
    title,
    year,
};
```

[[Back to Model list]](../README.md#documentation-for-models) [[Back to API list]](../README.md#documentation-for-api-endpoints) [[Back to README]](../README.md)
